import * as React from 'react';
import { IntersectionObserverProps, PlainChildrenProps } from './index';
declare type State = {
    inView: boolean;
    entry?: IntersectionObserverEntry;
};
/**
 * Monitors scroll, and triggers the children function with updated props
 */
export declare class InView extends React.Component<IntersectionObserverProps | PlainChildrenProps, State> {
    static displayName: string;
    static defaultProps: {
        threshold: number;
        triggerOnce: boolean;
        initialInView: boolean;
    };
    constructor(props: IntersectionObserverProps | PlainChildrenProps);
    componentDidUpdate(prevProps: IntersectionObserverProps): void;
    componentWillUnmount(): void;
    node: Element | null;
    _unobserveCb: (() => void) | null;
    observeNode(): void;
    unobserve(): void;
    handleNode: (node?: Element | null | undefined) => void;
    handleChange: (inView: boolean, entry: IntersectionObserverEntry) => void;
    render(): {} | null | undefined;
}
export {};
